
Redmine - Feature #3011

[Gantt] Show issue with not start date yet as (potentially) starting today

2009-03-19 01:01 - Olivier Mehani

Status: Closed Start date: 2009-03-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Currently, issues with no start date are not shown on the Gantt chart, even though they may have an end date and be part of a target

version. As for #2269, we set the start date of an issue only when somebody starts working on it. This thus gives a false confidence

that there are less open issues than the reality.

It would be good if these issues were displayed in the Gantt chart regardless of whether a start date (or end date, for that matter) has

been set. One solution to display these start-date-less issues would be to make them look like they are starting today, i.e. at the line

showing the current date on the Gantt chart.

Related issues:

Related to Redmine - Defect #6407: New gantt charts shouldn't display all iss... Closed 2010-09-16

History

#1 - 2009-06-15 00:56 - Mischa The Evil

- Category changed from Time tracking to Issues

Corrected category.

#2 - 2009-06-19 17:08 - Janus Kristensen

Olivier Mehani wrote:

It would be good if [...] issues were displayed in the Gantt chart regardless of whether a start date (or end date, for that matter) has been set.

One solution to display these start-date-less issues would be to make them look like they are starting today, i.e. at the line showing the current

date on the Gantt chart.

 More specifically it could be displayed in a different colour than normal issues (issues that have a start and end date).

The length of the issue in the Gantt chart would be based on the expected time field. Any issues that depend on a given issue will then be displayed

as following immediately after the first one if they do not have start/end dates either.

This sort of functionality would be very useful for projects that do not use the start/end timestamps but instead use time estimates for their planning.

#3 - 2010-10-03 15:13 - Mischa The Evil

- Category changed from Issues to Gantt

#4 - 2010-12-21 14:35 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Fixed

Olivier Mehani wrote:

Currently, issues with no start date are not shown on the Gantt chart, even though they may have an end date and be part of a target version.

 During the changes for #6276 this behaviour has been changed. Now issues without a start date are also displayed on the Gantt.

A new issue exists already which asks to revert this behaviour (see #6407).
